package org.dronus.exploder;

import java.applet.Applet;
import java.awt.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;


import org.dronus.dope.FilePool;
import org.dronus.graph.gui.interact.GraphNavigateUI;
import org.dronus.graph.gui.MutaGraphPanel;
 public class MutaGraphObserver extends Applet{
	public MutaGraphPanel pane=new MutaGraphPanel();
	//Frame f = new Frame("MutaGraph");
	/* (non-Javadoc)
	 * @see java.applet.Applet#getParameter(java.lang.String)
	 */
/* (non-Javadoc)
 * @see java.applet.Applet#init()
 */
	public void init() {
		super.init();
		pane.setUrl(getParameter("url"),getParameter("query"),getParameter("set"));
	}

	public MutaGraphObserver(String url, String set, String query){
		initialize();
		pane.setUrl(url,query,set);		
	}
	public MutaGraphObserver(){
	/*	f.setIconImage(ImageLoader.getImg("MutaGraph"));		
		f.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {System.exit(0);}
		});
		f.add(pane,BorderLayout.CENTER);
		f.setSize(700,500); f.show();
		*/
		initialize();
	}
	void initialize(){
		setSize(700,500);
		pane.setSize(700,500);
		GraphNavigateUI ui= new GraphNavigateUI(pane);
		ui.activate();
		pane.start();
		add(pane);
	};
	public static void main(String[] args) {
		Frame f=new Frame();
		//MutaGraphObserver o=new MutaGraphObserver);
		f.setIconImage(ImageLoader.getImg("MutaGraph"));		
		f.addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {System.exit(0);}
		});
		MutaGraphObserver mo=new MutaGraphObserver("http://localhost/dronus","","");
		for  (int i=1; i<args.length; i++)	
			FilePool.getDefaultPool().addDir(args[i]);		
		f.add(mo,BorderLayout.CENTER);
		f.setSize(700,500); f.show();
	}
 }
