
package org.dronus.graph.gui;

import  java.awt.*;
import  java.util.EventListener;

/** TGPaintListener.  Implemented by any plugin that needs to do its own
  * painting.
  *   
  * @author   Alexander Shapiro                                        
  * @version  1.21  $Id: TGPaintListener.java,v 1.9 2002/04/01 05:51:55 x_ander Exp $
  */
public interface GraphPaintListener extends EventListener{

    void paintFirst(Graphics g);
    void paintAfterEdges(Graphics g);
    void paintLast(Graphics g);

} // end com.touchgraph.graphlayout.TGPaintListener
