
package org.dronus.graph.gui.interact;

public abstract class GraphUserInterface {

    private GraphUserInterface parentUI;

	boolean selfDeactivate=true;

    public abstract void activate();
    boolean active=false; 

    public boolean isActive() {
        return active; 
    }
		
	public void activate( GraphUserInterface parent ) {
        parentUI = parent;
        parentUI.deactivate();
        activate();
    }

    public void deactivate() {
        if (parentUI!=null) parentUI.activate();
        parentUI = null;
    }

} // end com.touchgraph.graphlayout.interaction.TGUserInterface
