package org.dronus.hansi;
import java.awt.*;
import java.awt.event.*;
import java.io.File;
import java.io.IOException;

import org.dronus.graph.gui.GraphPanel;

/*
 * Created on 29.02.2004
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */

/**
 * @author Jan-Gunnar unter Anleitumg von Paul
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class Happ extends Frame {
	LeinMap lm;
	public Happ(GraphPanel p){
		super("Hansi Mutagraph");
		lm = new GraphLeinMap("grafik.zip", new File("raster.txt"),p);
		init();	
		//lm.setLocked(true);
		lm.setMipLevel(3);
	}
	public Happ(String gk){
		super("Hansi @ "+gk);
		lm = new LeinMap("grafik.zip", new File("raster.txt"));
		init();	
		lm.setGK(gk);
		//lm.setLocked(true);
		lm.setMipLevel(3);	
	}
	public Happ(){
		super("Hansi");
		lm = new LeinMap("grafik.zip", new File("raster.txt"));
		init();		
	}
	void init(){		
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {dispose();}
		});
		setBackground(Color.BLACK);
		setLayout(new BorderLayout());
		try {
			ImageLoader.setBaseDir("grafik.zip");
		} catch (IOException e1) {
			e1.printStackTrace();
		}
		setIconImage(ImageLoader.getImg("hansi.png"));
		
		add(lm,BorderLayout.CENTER);
		pack();
		setExtendedState(Frame.MAXIMIZED_BOTH);		
		show();
	}

	public static void main(String[] args) {
		new Happ();
	}
}
